MFA 유형 일괄 설정
지정한 계정들의 다중 인증(MFA) 유형을 설정합니다. 지원하는 인증 유형은 OTP, MAIL입니다.
HTTP 요청
POST /api/sonar/users/mfa/type
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
-d '{"guids":"a1b2c3d4-e5f6-7890-abcd-ef1234567890,b2c3d4e5-f6a7-8901-bcde-f12345678901","type":"OTP"}' \
-X POST https://HOSTNAME/api/sonar/users/mfa/type
요청 매개변수
| 키 | 필수 | 타입 | 설명 | 비고 |
|---|---|---|---|---|
| guids | O | 문자열 | 계정 식별자 목록 | 쉼표(,)로 구분된 계정 식별자 목록 |
| type | O | 문자열 | MFA 인증 유형 | OTP, MAIL |
정상 응답
{
"failures": []
}
오류 응답
필수 매개변수가 누락된 경우
HTTP 상태 코드 400 응답
{
"error_code": "null-argument",
"error_msg": "guids should be not null"
}
계정 식별자가 GUID 형식이 아닌 경우
HTTP 상태 코드 400 응답
{
"error_code": "invalid-param-type",
"error_msg": "guids should be guid type."
}
지원하지 않는 MFA 유형을 지정한 경우
HTTP 상태 코드 500 응답
{
"error_code": "illegal-state",
"error_msg": "not-support-mfa-type"
}
계정이 존재하지 않는 경우
HTTP 상태 코드 200 응답
{
"failures": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"reason": "user-not-found"
}
]
}